Glib::ThreadError Class Reference

Exception class for thread-related errors. More...

`#include <glibmm/thread.h>`

Inheritance diagram for Glib::ThreadError:
[legend]

## Public Types

enum | Code { AGAIN }
| Possible errors of thread related functions. More...

## Public Member Functions

| ThreadError (Code error_code, const Glib::ustring& error_message)
| ThreadError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for thread-related errors.

Deprecated:
  Use Glib::Threads::ThreadError instead.

## Member Enumeration Documentation

enum Glib::ThreadError::Code

Possible errors of thread related functions.

Enumerator
AGAIN | A thread couldn't be created due to resource shortage. Try again later.

## Constructor & Destructor Documentation

Glib::ThreadError::ThreadError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::ThreadError::ThreadError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Glib::ThreadError::code | ( |  | ) | const